Topic on Extension talk:ParserFunctions

Jump to: navigation, search

Fatal exception of type MWException Error

59
Summary by Ciencia Al Poder

This is a generic error. Please add $wgShowExceptionDetails = true; at the end of your LocalSettings.php, it should give a more detailed error, then ask in a new thread if it's still not clear from the error message what's the cause of the problem and how to solve it.

96.253.116.193 (talkcontribs)

Fatal exception of type MWException Error Seen this in several threads but have not found a solution.

How do I fix this?

96.253.116.193 (talkcontribs)

After adding - require_once( "extensions/ParserFunctions/ParserFunctions.php" );

I get "Fatal exception of type MWException Error", seen this in several threads but have not found a solution.

How do I fix this?

Technical 13 (talkcontribs)

Firstly, I thought this extension was part of the MW core now and there was no reason to install it separately (which would cause an internal conflict if I'm right about that). Secondly, you're not following the directions in Extension:ParserFunctions#Installation which says you should add require_once( "$IP/extensions/ParserFunctions/ParserFunctions.php" );

96.253.116.193 (talkcontribs)

1) I did reupload the files contained just to be sure and it still gives me that error. 2) That is what I put in LocalSettings.php it was just a typo in my post here..

So still have no idea what is wrong...

87.139.192.56 (talkcontribs)

I get the same error after installing the mediawiki-package and uploading the created LocalSettings.php. Any solution?

2.245.35.71 (talkcontribs)

Hello, maybe this will help some people with that error. I got the error when uploading the LocalSettings.php aswell, so I tried and tried to reinstall it and at one point I skipped the configuration process and noticed it worked without. Later I noticed I could need the configuration anyway and skipping it isn't a good sollution so I tried to remove everything from the LocalSettings.php which was not on the unconfigurated one one after the other till it worked. For me it was the following line:

require_once( "$IP/extensions/LocalisationUpdate/LocalisationUpdate.php" );

which caused this error. Simply removing it from the LocalSettings.php removed the error.

2.180.53.156 (talkcontribs)

@2.245.35.71 Thanks, it worked for me as :) As an experienced net expert I'm sorry for such a script containing this problem.

80.141.48.203 (talkcontribs)

Great! it worked for me as well. Thanks for your research.

203.41.198.36 (talkcontribs)

I'm getting this error when MediaWiki attempt to send any emails. But I don't have the line

require_once( "$IP/extensions/LocalisationUpdate/LocalisationUpdate.php" );

in my LocalSettings.php file.

Any other ideas?

117.66.27.178 (talkcontribs)

I got the same problem as yours. Have you solve it?

73.222.234.97 (talkcontribs)

I am experiencing the same issue as you and the fixes described in this forum do not address it. If anyone has a fix for the email issue please share!

107.1.249.102 (talkcontribs)

Old thread, but since I came across this while looking for a solution, I thought I'd let future googlers know what I found. running "pear install mail" and possibly "pear install Net_SMTP" fixed this error. After that I just had to make sure my smtp settings in localsettings.php.

I hope this helps someone!

80.24.208.40 (talkcontribs)

WORKED!!! This solution is quite hidden between the answers, but for a fresh install in a Debian Wheezy (MW v1.26.2), based on a proxmox CT, is needed.

Thanks a lot.

93.186.50.202 (talkcontribs)

Thanks you! It's works.

121.221.0.36 (talkcontribs)

how do you removed this? "MediaWiki internal error. Exception caught inside exception handler." and "Fatal exception of type MWException" it has stopped me from editing wikipedia.. what did i do to make this happen? i do the same things every day? how can i fix this???

Jonesey95 (talkcontribs)

I'm getting a lot of these on WP today as well. Everything worked fine yesterday. Example: "[7e0f687c] 2013-06-28 04:56:55: Fatal exception of type MWException".

I can load the main page and click on wikilinks, but clicking "View History" or doing any kind of search results in the above error.

DaHuzyBru (talkcontribs)

I know what you mean. Seems to be back for me now...

62.12.134.2 (talkcontribs)

Awesome ;9 Thanky you a thousend!

177.155.43.165 (talkcontribs)

Great! it worked for me as well. Thanks for your research. (copy and paste)

Protnet (talkcontribs)

You don't need to remove LocalisationUpdate! See Bug 46885 - Fatal error after installation when using LocalisationUpdate. The problem is that the MW installer does not do the proper configuration of LU extension. All you have to do is add the cache dir below the require_once like this:

require_once( "$EXT/LocalisationUpdate/LocalisationUpdate.php" );
$wgLocalisationUpdateDirectory = "$IP/cache";
81.209.108.25 (talkcontribs)

Perhaps wrong place to comment this here but I do it anyway because googling this issues directed me here. This same problem still is with MW 1.22.4 when doing fresh installation of MW and in case LocalisationUpdate is included in initial setup.

91.138.65.152 (talkcontribs)

Thanks, works for me with Synology Diskstation

73.201.72.72 (talkcontribs)

When I add:

require_once( "$EXT/LocalisationUpdate/LocalisationUpdate.php" ); $wgLocalisationUpdateDirectory = "$IP/cache";

I get:

Warning: require_once(/LocalisationUpdate/LocalisationUpdate.php) [function.require-once]: failed to open stream: No such file or directory in /home/ideakwty/public_html/dclegalfirm.com/mw/LocalSettings.php on line 134

Fatal error: require_once() [function.require]: Failed opening required '/LocalisationUpdate/LocalisationUpdate.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/ideakwty/public_html/dclegalfirm.com/mw/LocalSettings.php on line 134

109.0.220.14 (talkcontribs)

it works, thanks!

201.94.132.4 (talkcontribs)

Thanks Dude. It worked for me!! You're the Master!!

by best wishes, Danilo.

220.70.82.161 (talkcontribs)

Was same for me!!

151.41.183.136 (talkcontribs)

Thank you! It worked for me! :D

95.18.107.46 (talkcontribs)

Well, when I Put your solution:

require_once( "$EXT/LocalisationUpdate/LocalisationUpdate.php" ); $wgLocalisationUpdateDirectory = "$IP/cache";

The page turns white, and nothing appears... :S why?

Kghbln (talkcontribs)

Usually your error log should tell you or the browser when setting

$wgShowExceptionDetails = true;

Try this for a change:

require_once "$IP/LocalisationUpdate/LocalisationUpdate.php";
$wgLocalisationUpdateDirectory = "$IP/cache";

I am not sure about this $EXT bit since I have so far never come across something like this.

Protnet (talkcontribs)

$IP = wiki's root dir (i.e. yourdomain/wiki)

$EXT = extension's dir (i.e. yourdomain/wiki/extensions)

Kghbln (talkcontribs)

Great, I did not know this existeted. This points me to a mistake in my previous post. It should be

require_once "$IP/extensions/LocalisationUpdate/LocalisationUpdate.php";
$wgLocalisationUpdateDirectory = "$IP/cache";

However this is no different to the previous suggestion. So back to the log file and exception details.

92.50.78.186 (talkcontribs)

Beware, that if you try to install the VisualEditor Extension, you need at least mediawiki-core 1.23 (still in development). Otherwise, you got this error too.

166.48.118.229 (talkcontribs)

You talk way too much but the solution is good. Learn to get to the point.

98.233.57.57 (talkcontribs)

All you have to do is add this following line to the end of your Localsettings.php

$wgLocalisationUpdateDirectory = "$IP/cache";
Supasaru (talkcontribs)

I know this thread is a little old, but I just had this error upgrading from 1.22.8 to 1.23.1, and I thought I'd provide the solution that helped me.

In my case, I had a poorly-coded skin that seemed to work on 1.22.8. I guess it used deprecated functions or something, and didn't work caused the Fatal Error when I accessed Special:Preferences.

I changed the default skin to Vector, and all is well in the world.

149.129.5.173 (talkcontribs)

I faced this problem and it was because I'm using the master image of ParserFunctions . you have to checkout to the version fit your mediawiki version : for me :

git checkout -b mywork origin/REL1_24
68.62.18.110 (talkcontribs)

Just as a duh..you might want to check that your images folder is writable. I received the same MCException error when it wasn't writable. Which of course I made it writable by chown, chgrp to the apache account.

216.81.61.226 (talkcontribs)

This was the problem for me too - I had to give 'other' write privileges on the images folder in my install, after that it all seems to work correctly.

92.103.106.88 (talkcontribs)

same for me, images folder did not have the good rights so apache could not 'mkdir'

109.91.15.84 (talkcontribs)

After recent update it stopped working because my hoster still uses Magic quotes which are deprecated. I just added following lined to an existing .htaccess file in the root of MW:

php_flag magic_quotes_gpc Off php_value magic_quotes_gpc Off

...and it worked :-)

46.25.41.70 (talkcontribs)

The same error appears when the owner of the wiki's folder(s) isn't apache

Make you sure about that

chown -R apache.apache wiki_folder/
Casablanca1950 (talkcontribs)

Problem for me is: All folders are owned by me, not by Apache. My ISP doesn't allow me to change this ownership, and I get the same error after having uploaded the LocalSettings.php file.

I did all suggestions in this thread. None worked for me.

I do not have a require_once( "$EXT/LocalisationUpdate/LocalisationUpdate.php" ); $wgLocalisationUpdateDirectory = "$IP/cache"; line

If I add it the program complains about a missing directory /LocalisationUpdate which actually does not exist:

Warning: require_once(/LocalisationUpdate/LocalisationUpdate.php): failed to open stream: No such file or directory in /home/www/62585963bc9e2a5e92eba0113c714f19/web/AAT/inventaire/LocalSettings.php on line 136

Fatal error: require_once(): Failed opening required '/LocalisationUpdate/LocalisationUpdate.php' (include_path='.:/opt/php/lib/php') in /home/www/62585963bc9e2a5e92eba0113c714f19/web/AAT/inventaire/LocalSettings.php on line 136

Any other clue, anyone, please? Thanks.

EDIT: Some files had size set to 0. Uploaded whole kit again, issue fixed.

117.240.93.242 (talkcontribs)

Hello,

The issue has been fixed by disabling magic quotes.

101.99.23.40 (talkcontribs)

I fix this error by set permission to 775

Ext:

$ chgrp -R apache images/

$ chmod -R 775 images/

134.76.103.230 (talkcontribs)

Thanks. I also had the same problem because I manually copied the latest mediawiki version to the debian standard folder /var/lib/mediawiki but without checking the group settings of the images/ folder.

For Debian Jessie the apache2.4 group is www-data. Changing the group and the 755 chmod did the fix.

81.22.162.228 (talkcontribs)

Fixed my problem also.

213.221.6.129 (talkcontribs)

I disable SE linux it is resilve problem. (centos7)

Etron770 (talkcontribs)

I did a fresh install of Mediawiki and the Extension:VisualEditor when enabling the extention it is asking for Mediawiki 1.26?

[84e98a00] /Spezial:Einstellungen MWException from line 3215 of /var/www/.../includes/GlobalFunctions.php: MediaWiki 1.26wmf12 required--this is only 1.25.2

Backtrace:

#0 /var/www/clients/client1/web39/web/wiki/extensions/VisualEditor/VisualEditor.hooks.php(20): wfUseMW(string) #1 [internal function]: VisualEditorHooks::onSetup() #2 /var/www/.../includes/Setup.php(676): call_user_func(string) #3 /var/www/.../includes/WebStart.php(138): require_once(string) #4 /var/www/.../index.php(38): require(string) #5 {main}

Etron770 (talkcontribs)

Sorry just found it after asking here - there are special download options:

(German) Special:ExtensionDistributor/VisualEditor

2.235.27.62 (talkcontribs)

Got the same MWException Error after fresh installation.

Resolved installing missing package php-apc .

Regards, Mateusz

PhysicsScientist (talkcontribs)

Reply to "Fatal exception of type MWException Error" How to fix this problem? Please help me.

This comment was hidden by Nuclearsugar (history)
This comment was hidden by Nuclearsugar (history)
This comment was hidden by 2601:19B:201:8039:792C:6D53:D546:68A3 (history)
This comment was hidden by Nuclearsugar (history)
Ciencia Al Poder (talkcontribs)

Your error about temp directory has nothing to do with ParserFunctions

Ihebbensalem (talkcontribs)

After a while the problem was solved for me .

Fir-stable I highly recommend for you to enable the Debugging mode .

add this 2 lines in the end of LocalSettings.php

error_reporting( -1 );

ini_set( 'display_errors', 1 );

then the errors will shown up .

The problem was in the permission to rename /tmp/l10n_cache-en.cdb ,so ,In your terminal

$ cd /tmp

$ sudo mv l10n_cache-en.cdb l10n_cache-en.cdb.tmp.697754271

Now refresh the index page !

Solved :) .

Ciencia Al Poder (talkcontribs)

To solve a problem with permissions you should give the necessary permissions. I wouldn't expect doing the rename manually would solve the problem if the long term, when something makes the localisation cache to be invalidated.